# studio::Dialog_ToolOptions Class Reference

`#include <dialog_tooloptions.h>`

Inheritance diagram for studio::Dialog_ToolOptions:

List of all members.

## Public Member Functions

void | clear ()
void | set_widget (Gtk::Widget &)
void | set_name (const synfig::String &name)
| Dialog_ToolOptions ()
| ~Dialog_ToolOptions ()

## Constructor & Destructor Documentation

Dialog_ToolOptions::Dialog_ToolOptions | ( |  | ) |

References set_widget().

Dialog_ToolOptions::~Dialog_ToolOptions | ( |  | ) |

## Member Function Documentation

void Dialog_ToolOptions::clear | ( |  | ) |

Reimplemented from studio::Dockable.

References _, studio::Dockable::clear(), studio::Dockable::set_local_name(), studio::Dockable::set_stock_id(), and set_widget().

void Dialog_ToolOptions::set_widget | ( | Gtk::Widget & | x | ) |

Referenced by clear(), and Dialog_ToolOptions().

void Dialog_ToolOptions::set_name | ( | const synfig::String & | name | ) |

References studio::Dockable::set_stock_id().

The documentation for this class was generated from the following files:

- dialog_tooloptions.h
- dialog_tooloptions.cpp